Synchronize database

- « dba_replace

- ODBC »

- PHP Manual
- DBA Functions
- Synchronize database

# dba_sync

(PHP 4, PHP 5, PHP 7, PHP 8)

dba_sync — Synchronize database

### Description

dba_sync(resource `$dba`): bool

dba_sync() synchronizes the database. This will probably trigger a physical write to the disk, if supported.

### Parameters

`dba`

  The database handler, returned by dba_open() or dba_popen().

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- dba_optimize() - Optimize database